//HHD32F0xx UART demo Main Program

#include "hhd32f0xx.h"
#include "hhd_sys.h"
#include "hhd_uart.h"
//Main function entry
/*****************************************************************************/
#include "uip_kernel_api.h"
#include "demo.h"
#include "Hardware_Init.h"

int main(void)
{
    int     mode;

    Hardware_Init();
	
	//system initial
	SYS_SystemInitial();
	
    /* Start RTOS */
    mode          = uip_KERNEL_RUNNING;
    uipIdleTaskID = TASK_App_Idle_ID;

    /* Start RTOS */
    while (1) {
        StartOS(mode);
    }
}



